## org.apache.batik.bridge
Class BridgeContext.EventListenerMememto

    java.lang.Object
      org.apache.batik.bridge.BridgeContext.EventListenerMememto

Direct Known Subclasses:
  SVG12BridgeContext.ImplementationEventListenerMememto

Enclosing class:
  BridgeContext

    protected static class BridgeContext.EventListenerMememto

extends java.lang.Object

A class used to store an EventListener added to the DOM.

Field Summary
`java.lang.String` `eventType`
`java.lang.ref.SoftReference` `listener`
`boolean` `namespaced`
`java.lang.String` `namespaceURI`
`java.lang.ref.SoftReference` `target`
`boolean` `useCapture`

Constructor Summary
`BridgeContext.EventListenerMememto(EventTarget t, java.lang.String s, EventListener l, boolean b, BridgeContext ctx)`
`BridgeContext.EventListenerMememto(EventTarget t, java.lang.String n, java.lang.String s, EventListener l, boolean b, BridgeContext ctx)`

Method Summary
`java.lang.String` `getEventType()`
`EventListener` `getListener()`
`boolean` `getNamespaced()`
`java.lang.String` `getNamespaceURI()`
`NodeEventTarget` `getTarget()`
`boolean` `getUseCapture()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### target

    public java.lang.ref.SoftReference target

### listener

    public java.lang.ref.SoftReference listener

### useCapture

    public boolean useCapture

### namespaceURI

    public java.lang.String namespaceURI

### eventType

    public java.lang.String eventType

### namespaced

    public boolean namespaced

Constructor Detail

### BridgeContext.EventListenerMememto

    public BridgeContext.EventListenerMememto(EventTarget t,
                                              java.lang.String s,
                                              EventListener l,
                                              boolean b,
                                              BridgeContext ctx)

### BridgeContext.EventListenerMememto

    public BridgeContext.EventListenerMememto(EventTarget t,
                                              java.lang.String n,
                                              java.lang.String s,
                                              EventListener l,
                                              boolean b,
                                              BridgeContext ctx)

Method Detail

### getListener

    public EventListener getListener()

### getTarget

    public NodeEventTarget getTarget()

### getUseCapture

    public boolean getUseCapture()

### getNamespaceURI

    public java.lang.String getNamespaceURI()

### getEventType

    public java.lang.String getEventType()

### getNamespaced

    public boolean getNamespaced()

Copyright © 2008 Apache Software Foundation. All Rights Reserved.